Crear un ticket de soporte
curl --request POST \
--url https://api.ugps.io/api/support/tickets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "El equipo del camión 12 no reporta",
"description": "<string>"
}
'import requests
url = "https://api.ugps.io/api/support/tickets"
payload = {
"title": "El equipo del camión 12 no reporta",
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: 'El equipo del camión 12 no reporta', description: '<string>'})
};
fetch('https://api.ugps.io/api/support/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ticket": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "El equipo del camión 12 no reporta",
"status": {
"id": 1,
"name": "Abierto"
},
"category": "technical",
"authorName": "<string>",
"commentsCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"comments": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticketId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"authorName": "<string>",
"authorRole": "client",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}
}{
"error": "El email es requerido"
}{
"error": "Token inválido o expirado"
}{
"error": "No tiene permisos para realizar esta acción"
}{
"status": "failed",
"code": "PORTAL_UNAVAILABLE",
"message": "Facturación y Soporte no están disponibles en este momento",
"requestId": "<string>"
}{
"status": "failed",
"code": "PORTAL_UNAVAILABLE",
"message": "Facturación y Soporte no están disponibles en este momento",
"requestId": "<string>"
}Soporte
Crear un ticket de soporte
Crea el ticket en Raúl a nombre del usuario en sesión (nombre y correo como autor,
origen «Atlas»). El body admite solo title, description y category; cualquier
otro campo responde 400. No se reintenta ante timeout para no duplicar tickets.
POST
/
api
/
support
/
tickets
Crear un ticket de soporte
Authorizations
bearerAuthcookieAuth
Token de sesión Better Auth o API token (atk_...) en el header Authorization: Bearer <token>. Los JWT legacy ya no son válidos.
Body
application/json
Response
Ticket creado
Ticket de soporte de la empresa, tal como vive en Raúl.
Show child attributes
Show child attributes